# CONTRIBUTING

Contributions are always welcome, no matter how large or small. Before contributing,
please read the [code of conduct](CODE_OF_CONDUCT.md).

## Setup

> Install NPM on your system: https://docs.npmjs.com/getting-started/installing-node

```sh
$ git clone https://github.com/netlify/js-client netlify-js-client
$ cd netlify-js-client
$ npm install
```

## Testing

```sh
$ jasmine-node spec
```

## Pull Requests

We actively welcome your pull requests.

1. Fork the repo and create your branch from `master`.
2. If you've added code that should be tested, add tests.
3. If you've changed APIs, update the documentation.
4. Ensure the test suite passes.
5. Make sure your code lints.

## License

By contributing to Netlify Node Client, you agree that your contributions will be licensed
under its [MIT license](LICENSE).
